Skip to main content
`Ctrl`+`K`

# NEPNLEIGSGetLocking

Gets the locking flag used in the NLEIGS method.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetLocking(NEP nep,PetscBool *lock)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- lock - the locking flag

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSSetLocking()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs.c

## Implementations

NEPNLEIGSGetLocking_NLEIGS() in src/nep/impls/nleigs/nleigs.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages